Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package org.apache.hadoop.mapreduce.lib.input

Class Summary
FileInputFormat<K,V> | A base class for file-based `InputFormat`s.
FileSplit | A section of an input file.
LineRecordReader | Treats keys as offset in file and value as line.
SequenceFileInputFormat<K,V> | An `InputFormat` for `SequenceFile`s.
SequenceFileRecordReader<K,V> | An `RecordReader` for `SequenceFile`s.
TextInputFormat | An `InputFormat` for plain text files.

Enum Summary
FileInputFormat.Counter |

Exception Summary
InvalidInputException | This class wraps a list of problems with the input, so that the user can get a list of problems together instead of finding and fixing them one by one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

Copyright © 2009 The Apache Software Foundation